Index: build_tools/conda/appdirs/bld.bat
===================================================================
--- build_tools/conda/appdirs/bld.bat	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
+++ build_tools/conda/appdirs/bld.bat	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
@@ -0,0 +1,8 @@
+"%PYTHON%" setup.py install
+if errorlevel 1 exit 1
+
+:: Add more build steps here, if they are necessary.
+
+:: See
+:: http://docs.continuum.io/conda/build.html
+:: for a list of environment variables that are set during the build process.
Index: build_tools/conda/appdirs/build.sh
===================================================================
--- build_tools/conda/appdirs/build.sh	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
+++ build_tools/conda/appdirs/build.sh	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+$PYTHON setup.py install
+
+# Add more build steps here, if they are necessary.
+
+# See
+# http://docs.continuum.io/conda/build.html
+# for a list of environment variables that are set during the build process.
Index: build_tools/conda/mako/bld.bat
===================================================================
--- build_tools/conda/mako/bld.bat	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
+++ build_tools/conda/mako/bld.bat	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
@@ -0,0 +1,8 @@
+"%PYTHON%" setup.py install
+if errorlevel 1 exit 1
+
+:: Add more build steps here, if they are necessary.
+
+:: See
+:: http://docs.continuum.io/conda/build.html
+:: for a list of environment variables that are set during the build process.
Index: build_tools/conda/mako/build.sh
===================================================================
--- build_tools/conda/mako/build.sh	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
+++ build_tools/conda/mako/build.sh	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+$PYTHON setup.py install
+
+# Add more build steps here, if they are necessary.
+
+# See
+# http://docs.continuum.io/conda/build.html
+# for a list of environment variables that are set during the build process.
Index: build_tools/conda/py2exe/bld.bat
===================================================================
--- build_tools/conda/py2exe/bld.bat	(revision 55bde35d88c24806224b9adc5bb57745bd64e998)
+++ build_tools/conda/py2exe/bld.bat	(revision 55bde35d88c24806224b9adc5bb57745bd64e998)
@@ -0,0 +1,8 @@
+"%PYTHON%" setup.py install
+if errorlevel 1 exit 1
+
+:: Add more build steps here, if they are necessary.
+
+:: See
+:: http://docs.continuum.io/conda/build.html
+:: for a list of environment variables that are set during the build process.
Index: build_tools/conda/py2exe/build.sh
===================================================================
--- build_tools/conda/py2exe/build.sh	(revision 55bde35d88c24806224b9adc5bb57745bd64e998)
+++ build_tools/conda/py2exe/build.sh	(revision 55bde35d88c24806224b9adc5bb57745bd64e998)
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+$PYTHON setup.py install
+
+# Add more build steps here, if they are necessary.
+
+# See
+# http://docs.continuum.io/conda/build.html
+# for a list of environment variables that are set during the build process.
Index: build_tools/conda/pyopencl/bld.bat
===================================================================
--- build_tools/conda/pyopencl/bld.bat	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
+++ build_tools/conda/pyopencl/bld.bat	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
@@ -0,0 +1,8 @@
+"%PYTHON%" setup.py install
+if errorlevel 1 exit 1
+
+:: Add more build steps here, if they are necessary.
+
+:: See
+:: http://docs.continuum.io/conda/build.html
+:: for a list of environment variables that are set during the build process.
Index: build_tools/conda/pyopencl/build.sh
===================================================================
--- build_tools/conda/pyopencl/build.sh	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
+++ build_tools/conda/pyopencl/build.sh	(revision 20b238dfddfbdd97221dc9a51df8c42be5b54664)
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+$PYTHON setup.py install
+
+# Add more build steps here, if they are necessary.
+
+# See
+# http://docs.continuum.io/conda/build.html
+# for a list of environment variables that are set during the build process.
Index: build_tools/conda/pypdf2/bld.bat
===================================================================
--- build_tools/conda/pypdf2/bld.bat	(revision 6bd3b5dd2340210807e8594b73092c7c02c64010)
+++ build_tools/conda/pypdf2/bld.bat	(revision 6bd3b5dd2340210807e8594b73092c7c02c64010)
@@ -0,0 +1,8 @@
+"%PYTHON%" setup.py install
+if errorlevel 1 exit 1
+
+:: Add more build steps here, if they are necessary.
+
+:: See
+:: http://docs.continuum.io/conda/build.html
+:: for a list of environment variables that are set during the build process.
Index: build_tools/conda/pypdf2/build.sh
===================================================================
--- build_tools/conda/pypdf2/build.sh	(revision 6bd3b5dd2340210807e8594b73092c7c02c64010)
+++ build_tools/conda/pypdf2/build.sh	(revision 6bd3b5dd2340210807e8594b73092c7c02c64010)
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+$PYTHON setup.py install
+
+# Add more build steps here, if they are necessary.
+
+# See
+# http://docs.continuum.io/conda/build.html
+# for a list of environment variables that are set during the build process.
Index: build_tools/conda/pytools/bld.bat
===================================================================
--- build_tools/conda/pytools/bld.bat	(revision 2b31c3c46e78dff488f7d1714841fb36b657a1a6)
+++ build_tools/conda/pytools/bld.bat	(revision 2b31c3c46e78dff488f7d1714841fb36b657a1a6)
@@ -0,0 +1,8 @@
+"%PYTHON%" setup.py install
+if errorlevel 1 exit 1
+
+:: Add more build steps here, if they are necessary.
+
+:: See
+:: http://docs.continuum.io/conda/build.html
+:: for a list of environment variables that are set during the build process.
Index: build_tools/conda/pytools/build.sh
===================================================================
--- build_tools/conda/pytools/build.sh	(revision 2b31c3c46e78dff488f7d1714841fb36b657a1a6)
+++ build_tools/conda/pytools/build.sh	(revision 2b31c3c46e78dff488f7d1714841fb36b657a1a6)
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+$PYTHON setup.py install
+
+# Add more build steps here, if they are necessary.
+
+# See
+# http://docs.continuum.io/conda/build.html
+# for a list of environment variables that are set during the build process.
Index: build_tools/conda/xhtml2pdf/bld.bat
===================================================================
--- build_tools/conda/xhtml2pdf/bld.bat	(revision 55bde35d88c24806224b9adc5bb57745bd64e998)
+++ build_tools/conda/xhtml2pdf/bld.bat	(revision 55bde35d88c24806224b9adc5bb57745bd64e998)
@@ -0,0 +1,8 @@
+"%PYTHON%" setup.py install
+if errorlevel 1 exit 1
+
+:: Add more build steps here, if they are necessary.
+
+:: See
+:: http://docs.continuum.io/conda/build.html
+:: for a list of environment variables that are set during the build process.
Index: build_tools/conda/xhtml2pdf/build.sh
===================================================================
--- build_tools/conda/xhtml2pdf/build.sh	(revision 55bde35d88c24806224b9adc5bb57745bd64e998)
+++ build_tools/conda/xhtml2pdf/build.sh	(revision 55bde35d88c24806224b9adc5bb57745bd64e998)
@@ -0,0 +1,9 @@
+#!/bin/bash
+
+$PYTHON setup.py install
+
+# Add more build steps here, if they are necessary.
+
+# See
+# http://docs.continuum.io/conda/build.html
+# for a list of environment variables that are set during the build process.
Index: sasview/setup_exe.py
===================================================================
--- sasview/setup_exe.py	(revision 3a39c2e89f90377b2d15fa13b9ba9cf3b4144070)
+++ sasview/setup_exe.py	(revision 4172557c9635687172f37240700561fa30cc6944)
@@ -307,5 +307,5 @@
 #
 packages = [
-    'matplotlib', 'scipy', 'pytz', 'encodings', 'comtypes',
+    'matplotlib', 'scipy', 'encodings', 'comtypes',
     'win32com', 'ho.pisa', 'bumps',
     ]
@@ -326,5 +326,5 @@
 
 # Exclude packages that are not needed but are often found on build systems
-excludes = ['Tkinter', 'PyQt4', '_ssl', '_tkagg', 'sip']
+excludes = ['Tkinter', 'PyQt4', '_ssl', '_tkagg', 'sip', 'pytz']
 
 
Index: src/sas/data_util/nxsunit.py
===================================================================
--- src/sas/data_util/nxsunit.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/data_util/nxsunit.py	(revision b3efb7dfc293a955756eccf52e0bbd30d3a2c32d)
@@ -128,5 +128,7 @@
     temperature = _build_metric_units('kelvin','K')
     temperature.update(_build_metric_units('Kelvin','K'))
-
+    temperature.update(_build_metric_units('Celcius', 'C'))
+    temperature.update(_build_metric_units('celcius', 'C'))
+    
     charge = _build_metric_units('coulomb','C')
     charge.update({'microAmp*hour':0.0036})
@@ -146,5 +148,4 @@
     """
     Unit converter for NeXus style units.
-
     """
     # Define the units, using both American and European spelling.
Index: src/sas/dataloader/data_info.py
===================================================================
--- src/sas/dataloader/data_info.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/dataloader/data_info.py	(revision b3efb7dfc293a955756eccf52e0bbd30d3a2c32d)
@@ -338,7 +338,7 @@
     ## Transmission [float] [fraction]
     transmission = None
-    ## Temperature [float] [C]
+    ## Temperature [float] [No Default]
     temperature = None
-    temperature_unit = 'C'
+    temperature_unit = None
     ## Position [Vector] [mm]
     position = None
Index: src/sas/dataloader/readers/cansas_reader.py
===================================================================
--- src/sas/dataloader/readers/cansas_reader.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/dataloader/readers/cansas_reader.py	(revision b3efb7dfc293a955756eccf52e0bbd30d3a2c32d)
@@ -307,4 +307,5 @@
         if 'unit' in attr and new_current_level.get('unit') is not None:
             try:
+                local_unit = attr['unit']
                 if isinstance(node_value, float) is False:
                     exec("node_value = float({0})".format(node_value))
@@ -312,50 +313,37 @@
                 unitname = new_current_level.get("unit")
                 exec "default_unit = data1d.{0}".format(unitname)
-                local_unit = attr['unit']
-                if local_unit.lower() != default_unit.lower() and \
-                    local_unit is not None and local_unit.lower() != "none" \
-                        and default_unit is not None:
+                if local_unit is not None and default_unit is not None and \
+                        local_unit.lower() != default_unit.lower() \
+                        and local_unit.lower() != "none":
                     if HAS_CONVERTER == True:
-                        try:
-                            ## Check local units - bad units raise KeyError
-                            Converter(local_unit)
-                            data_conv_q = Converter(attr['unit'])
-                            value_unit = default_unit
-                            i_string = "node_value = data_conv_q"
-                            i_string += "(node_value, units=data1d.{0})"
-                            exec i_string.format(unitname)
-                        except KeyError:
-                            err_msg = "CanSAS reader: could not convert "
-                            err_msg += "{0} unit {1}; "
-                            err_msg = err_msg.format(tagname, local_unit)
-                            intermediate = "err_msg += " + \
-                                        "\"expecting [{1}]  {2}\"" + \
-                                        ".format(data1d.{0}, " + \
-                                        "sys.exc_info()[1])"
-                            exec intermediate.format(unitname, "{0}", "{1}")
-                            self.errors.append(err_msg)
-                            raise ValueError(err_msg)
-                        except:
-                            err_msg = \
-                                "CanSAS reader: could not convert the units"
-                            self.errors.append(err_msg)
-                            return
+                        ## Check local units - bad units raise KeyError
+                        data_conv_q = Converter(local_unit)
+                        value_unit = default_unit
+                        i_string = "node_value = data_conv_q"
+                        i_string += "(node_value, units=data1d.{0})"
+                        exec i_string.format(unitname)
                     else:
                         value_unit = local_unit
-                        err_msg = "CanSAS reader: unrecognized %s unit [%s];"\
-                        % (node_value, default_unit)
-                        err_msg += " expecting [%s]" % local_unit
+                        err_msg = "Unit converter is not available.\n"
                         self.errors.append(err_msg)
-                        raise ValueError, err_msg
                 else:
                     value_unit = local_unit
+            except KeyError:
+                err_msg = "CanSAS reader: unexpected "
+                err_msg += "\"{0}\" unit [{1}]; "
+                err_msg = err_msg.format(tagname, local_unit)
+                intermediate = "err_msg += " + \
+                            "\"expecting [{1}]\"" + \
+                            ".format(data1d.{0})"
+                exec intermediate.format(unitname, "{0}", "{1}")
+                self.errors.append(err_msg)
+                value_unit = local_unit
             except:
-                err_msg = "CanSAS reader: could not convert "
-                err_msg += "Q unit [%s]; " % attr['unit']
-                intermediate = "err_msg += \"expecting [%s]\n  %s\" % " + \
-                            "(data1d.{0}, sys.exc_info()[1])"
-                exec intermediate.format(unitname)
+                print sys.exc_info()
+                err_msg = "CanSAS reader: unknown error converting "
+                err_msg += "\"{0}\" unit [{1}]"
+                err_msg = err_msg.format(tagname, local_unit)
                 self.errors.append(err_msg)
-                raise ValueError, err_msg
+                value_unit = local_unit
         elif 'unit' in attr:
             value_unit = attr['unit']
@@ -488,5 +476,5 @@
                                                         data1d, tagname)
                     cansas_attrib = \
-                    cs_values.current_level.get("attributes").get(key)
+                        cs_values.current_level.get("attributes").get(key)
                     attrib_variable = cansas_attrib.get("variable")
                     if key == 'unit' and unit != '':
Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision b9a5f0eb8e8cbff8f8d934bbfa4ea18168141e13)
+++ src/sas/guiframe/gui_manager.py	(revision 9bbb627ef6fd79891e4df4ebca57204c76bc08d1)
@@ -24,4 +24,6 @@
 import logging
 import httplib
+import webbrowser
+
 
 from sas.guiframe.events import EVT_CATEGORY
@@ -1325,5 +1327,6 @@
     def _add_help_menu(self):
         """
-        add help menu
+        add help menu to menu bar.  Includes welcome page, about page,
+        tutorial PDF and documentation pages. 
         """
         # Help menu
@@ -1336,22 +1339,10 @@
                 id = wx.NewId()
                 self._help_menu.Append(id, '&Welcome', '')
-                self._help_menu.AppendSeparator()
                 wx.EVT_MENU(self, id, self.show_welcome_panel)
 
-        # Look for help item in plug-ins 
-        for item in self.plugins:
-            if hasattr(item, "help"):
-                id = wx.NewId()
-                self._help_menu.Append(id,'&%s Help' % item.sub_menu, '')
-                wx.EVT_MENU(self, id, item.help)
-
-        # Only show new Sphinx docs link if version of wx supports displaying
-        # it correctly.
-        show_sphinx_docs = float(wx.__version__[:3]) >= 2.9
-        if show_sphinx_docs:
-            self._help_menu.AppendSeparator()
-            id = wx.NewId()
-            self._help_menu.Append(id, '&Sphinx Documentation', '')
-            wx.EVT_MENU(self, id, self._onSphinxDocs)
+        self._help_menu.AppendSeparator()
+        id = wx.NewId()
+        self._help_menu.Append(id, '&Documentation', '')
+        wx.EVT_MENU(self, id, self._onSphinxDocs)
 
         if config._do_tutorial and (IS_WIN or sys.platform =='darwin'):
@@ -2162,5 +2153,8 @@
     def _onSphinxDocs(self, evt):
         """
-        Pop up a Sphinx Documentation dialog.
+        Bring up Sphinx Documentation.  If Wx 2.9 or higher is installed 
+        with proper HTML support then Pop up a Sphinx Documentation dialog
+        locally.  If not pop up a new tab in the default system browser 
+        calling the documentation website.
         
         :param evt: menu event
@@ -2168,17 +2162,24 @@
         # Running SasView "in-place" using run.py means the docs will be in a
         # different place than they would otherwise.
-        SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
-        if SPHINX_DOC_ENV in os.environ:
-            docs_path = os.path.join(os.environ[SPHINX_DOC_ENV], "index.html")
+
+        show_sphinx_docs = float(wx.__version__[:3]) >= 2.9
+        if show_sphinx_docs:
+            SPHINX_DOC_ENV = "SASVIEW_DOC_PATH"
+            if SPHINX_DOC_ENV in os.environ:
+                docs_path = os.path.join(os.environ[SPHINX_DOC_ENV], "index.html")
+            else:
+                docs_path = os.path.join(PATH_APP, "..", "..", "doc", "index.html")
+
+            if os.path.exists(docs_path):
+                from documentation_window import DocumentationWindow
+
+                sphinx_doc_viewer = DocumentationWindow(None, -1, docs_path)
+                sphinx_doc_viewer.Show()
+            else:
+                logging.error("Could not find Sphinx documentation at '%' -- has it been built?" % docs_path)
         else:
-            docs_path = os.path.join(PATH_APP, "..", "..", "doc", "index.html")
-
-        if os.path.exists(docs_path):
-            from documentation_window import DocumentationWindow
-
-            sphinx_doc_viewer = DocumentationWindow(None, -1, docs_path)
-            sphinx_doc_viewer.Show()
-        else:
-            logging.error("Could not find Sphinx documentation at '%' -- has it been built?" % docs_path)
+            #For red hat and maybe others who do not have Wx 3.0
+            #just send to webpage of documentation
+            webbrowser.open_new_tab('http://www.sasview.org/sasview')
 
     def set_manager(self, manager):
Index: src/sas/guiframe/gui_statusbar.py
===================================================================
--- src/sas/guiframe/gui_statusbar.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/gui_statusbar.py	(revision b3efb7dfc293a955756eccf52e0bbd30d3a2c32d)
@@ -315,5 +315,7 @@
         if msg == "error":
             e_msg = "Error(s) Occurred:\n"
-            e_msg += event.status
+            e_msg += "\t" + event.status + "\n\n"
+            e_msg += "Further information might be available in "
+            e_msg += "the Console log (bottom right corner)."
             wx.MessageBox(e_msg, style=wx.ICON_ERROR)
 
Index: src/sas/guiframe/local_perspectives/data_loader/data_loader.py
===================================================================
--- src/sas/guiframe/local_perspectives/data_loader/data_loader.py	(revision 7a04dbb34bb699a5460b3ad23209d05b641f3265)
+++ src/sas/guiframe/local_perspectives/data_loader/data_loader.py	(revision b3efb7dfc293a955756eccf52e0bbd30d3a2c32d)
@@ -171,4 +171,17 @@
                                   file) for file in os.listdir(path)]
    
+    def _process_data_and_errors(self, item, p_file, output, message):
+        """
+        Check to see if data set loaded with any errors. If so, append to
+            error message to be sure user knows the issue.
+        """
+        data_error = False
+        for error_data in item.errors:
+            data_error = True
+            message += "\tError: {0}\n".format(error_data)
+        data = self.parent.create_gui_data(item, p_file)
+        output[data.id] = data
+        return output, message, data_error
+   
     def get_data(self, path, format=None):
         """
@@ -178,9 +191,10 @@
         output = {}
         any_error = False
+        data_error = False
         error_message = ""
         for p_file in path:
             info = "info"
             basename  = os.path.basename(p_file)
-            root, extension = os.path.splitext(basename)
+            _, extension = os.path.splitext(basename)
             if extension.lower() in EXTENSIONS:
                 any_error = True
@@ -194,34 +208,44 @@
         
             try:
+                message = "Loading Data... " + str(p_file) + "\n"
+                self.load_update(output=output, message=message, info=info)
                 temp =  self.loader.load(p_file, format)
                 if temp.__class__.__name__ == "list":
                     for item in temp:
-                        data = self.parent.create_gui_data(item, p_file)
-                        output[data.id] = data
+                        output, error_message, data_error = \
+                            self._process_data_and_errors(item, 
+                                                          p_file, 
+                                                          output, 
+                                                          error_message)
                 else:
-                    data = self.parent.create_gui_data(temp, p_file)
-                    output[data.id] = data
-                message = "Loading Data..." + str(p_file) + "\n"
-                self.load_update(output=output, message=message, info=info)
+                    output, error_message, data_error = \
+                            self._process_data_and_errors(temp, 
+                                                          p_file, 
+                                                          output, 
+                                                          error_message)
             except:
                 any_error = True
-                if error_message == "":
-                     error = "Error: " + str(sys.exc_value) + "\n"
-                     error += "while loading Data: \n%s\n" % str(p_file)
-                     error_message = "The data file you selected could not be loaded.\n"
-                     error_message += "Make sure the content of your file"
-                     error_message += " is properly formatted.\n\n"
-                     error_message += "When contacting the DANSE team, mention the"
-                     error_message += " following:\n%s" % str(error)
-                else:
-                     error_message += "%s\n"% str(p_file)
-                info = "error"
-                self.load_update(output=output, message=error_message, 
+        if any_error or error_message != "":
+            if error_message == "":
+                error = "Error: " + str(sys.exc_value) + "\n"
+                error += "while loading Data: \n%s\n" % str(p_file)
+                error_message = "The data file you selected could not be loaded.\n"
+                error_message += "Make sure the content of your file"
+                error_message += " is properly formatted.\n\n"
+                error_message += "When contacting the DANSE team, mention the"
+                error_message += " following:\n%s" % str(error)
+            elif data_error:
+                base_message = "Errors occurred while loading {0}\n".format(p_file)
+                base_message += "The data file loaded but with errors.\n"
+                error_message = base_message + error_message
+            else:
+                error_message += "%s\n"% str(p_file)
+            info = "error"
+            self.load_update(output=output, message=error_message, 
                                   info=info)
                 
-        message = "Loading Data Complete! "
+        else:
+            message = "Loading Data Complete! "
         message += log_msg
-        if error_message != "":
-            info = 'error'
         self.load_complete(output=output, error_message=error_message,
                        message=message, path=path, info=info)
Index: test/sasdataloader/test/utest_abs_reader.py
===================================================================
--- test/sasdataloader/test/utest_abs_reader.py	(revision 35ec2791ba4240f8154f552ce6ead4e850779a20)
+++ test/sasdataloader/test/utest_abs_reader.py	(revision b3efb7dfc293a955756eccf52e0bbd30d3a2c32d)
@@ -345,10 +345,11 @@
         self.assertEqual(self.data.filename, filename)
         # The followed should not have been loaded
-        self.assertEqual(self.data.sample.thickness, None)
+        self.assertEqual(self.data.sample.thickness, 0.00103)
         # This one should
         self.assertEqual(self.data.sample.transmission, 0.327)
         
         self.assertEqual(self.data.meta_data['loader'], "CanSAS 1D")
-        self.assertEqual(len(self.data.errors), 1)
+        print self.data.errors
+        self.assertEqual(len(self.data.errors), 2)
         
         
